Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
gzfile Struct Reference

## Data Fields
struct zstream | z
VALUE | io
int | level
time_t | mtime
int | os_code
VALUE | orig_name
VALUE | comment
unsigned long | crc
int | lineno
long | ungetc
void(* | end )(struct gzfile *)
rb_encoding * | enc
rb_encoding * | enc2
rb_econv_t * | ec
int | ecflags
VALUE | ecopts
char * | cbuf
VALUE | path

## Detailed Description

Definition at line 2191 of file zlib.c.

## Field Documentation

char* gzfile::cbuf

Definition at line 2208 of file zlib.c.

Referenced by gzfile_free(), and gzfile_getc().

VALUE gzfile::comment

Definition at line 2198 of file zlib.c.

Referenced by gzfile_close(), gzfile_make_header(), gzfile_mark(), gzfile_read_header(), rb_gzfile_comment(), and rb_gzfile_set_comment().

unsigned long gzfile::crc

Definition at line 2199 of file zlib.c.

Referenced by gzfile_calc_crc(), gzfile_check_footer(), gzfile_make_footer(), gzfile_reset(), and gzfile_write().

rb_econv_t* gzfile::ec

Definition at line 2205 of file zlib.c.

Referenced by gzfile_getc(), gzfile_newstr(), gzfile_reset(), and rb_gzfile_ecopts().

int gzfile::ecflags

Definition at line 2206 of file zlib.c.

Referenced by gzfile_newstr(), gzfile_reset(), and rb_gzfile_ecopts().

VALUE gzfile::ecopts

Definition at line 2207 of file zlib.c.

Referenced by gzfile_mark(), gzfile_newstr(), gzfile_reset(), and rb_gzfile_ecopts().

rb_encoding* gzfile::enc

Definition at line 2203 of file zlib.c.

Referenced by gzfile_getc(), gzfile_newstr(), gzfile_reset(), gzreader_charboundary(), gzreader_gets(), and rb_gzfile_ecopts().

rb_encoding* gzfile::enc2

Definition at line 2204 of file zlib.c.

Referenced by gzfile_getc(), gzfile_newstr(), gzfile_reset(), rb_gzfile_ecopts(), rb_gzreader_ungetc(), and rb_gzwriter_write().

void(* gzfile::end)(struct gzfile *)

Definition at line 2202 of file zlib.c.

Referenced by gzfile_close().

VALUE gzfile::io

Definition at line 2193 of file zlib.c.

Referenced by gzfile_close(), gzfile_mark(), gzfile_read_raw_partial(), gzfile_read_raw_rescue(), gzfile_reader_rewind(), gzfile_write_raw(), rb_gzfile_close(), rb_gzfile_closed_p(), rb_gzfile_finish(), rb_gzfile_to_io(), rb_gzreader_initialize(), rb_gzwriter_flush(), and rb_gzwriter_initialize().

int gzfile::level

Definition at line 2194 of file zlib.c.

Referenced by gzfile_make_header(), gzfile_read_header(), and rb_gzwriter_initialize().

int gzfile::lineno

Definition at line 2200 of file zlib.c.

Referenced by gzfile_reset(), gzreader_gets(), and rb_gzfile_set_lineno().

time_t gzfile::mtime

Definition at line 2195 of file zlib.c.

Referenced by gzfile_make_header(), gzfile_read_header(), and rb_gzfile_set_mtime().

VALUE gzfile::orig_name

Definition at line 2197 of file zlib.c.

Referenced by gzfile_close(), gzfile_make_header(), gzfile_mark(), gzfile_read_header(), rb_gzfile_orig_name(), and rb_gzfile_set_orig_name().

int gzfile::os_code

Definition at line 2196 of file zlib.c.

Referenced by gzfile_make_header(), and gzfile_read_header().

VALUE gzfile::path

Definition at line 2209 of file zlib.c.

Referenced by gzfile_mark(), rb_gzfile_path(), rb_gzreader_initialize(), and rb_gzwriter_initialize().

long gzfile::ungetc

Definition at line 2201 of file zlib.c.

Referenced by gzfile_calc_crc(), gzfile_reset(), gzfile_ungetbyte(), and gzfile_ungets().

struct zstream gzfile::z

Definition at line 2192 of file zlib.c.

Referenced by get_gzfile(), gzfile_check_footer(), gzfile_ensure_close(), gzfile_fill(), gzfile_free(), gzfile_getc(), gzfile_make_footer(), gzfile_make_header(), gzfile_mark(), gzfile_raise(), gzfile_read(), gzfile_read_all(), gzfile_read_header(), gzfile_read_more(), gzfile_read_raw_ensure(), gzfile_read_raw_until_zero(), gzfile_reader_end(), gzfile_reader_end_run(), gzfile_reader_get_unused(), gzfile_reader_rewind(), gzfile_readpartial(), gzfile_reset(), gzfile_ungetbyte(), gzfile_ungets(), gzfile_write(), gzfile_write_raw(), gzfile_writer_end(), gzfile_writer_end_run(), gzreader_charboundary(), gzreader_gets(), gzreader_skip_linebreaks(), rb_gzfile_set_comment(), rb_gzfile_set_mtime(), rb_gzfile_set_orig_name(), rb_gzfile_set_sync(), rb_gzfile_sync(), rb_gzfile_total_in(), rb_gzfile_total_out(), rb_gzreader_initialize(), rb_gzwriter_flush(), and rb_gzwriter_initialize().

The documentation for this struct was generated from the following file:

- ext/zlib/zlib.c